#ifndef WORLD_H
#define WORLD_H

#include "common/block/BlockRegistry.h"
#include "common/world/BlockStorage.h"

class World final {
    const BlockRegistry& blockRegistry;
    BlockStorage blocks;

public:
    World(const BlockRegistry& blockRegistry);

    void setBlock(int x, int y, int z, const Block& block);
    const Block& getBlock(int x, int y, int z) const;

    int getSize() const;
    int getHeight() const;
};

#endif